Subject: Re: linux-next: build failure after merge of the nand tree

From: Miquel Raynal <[email-masked]>
Date: Fri, 11 Sep 2020 18:58:52 +0200

Hi Stephen,

Stephen Rothwell <[email-masked]> wrote on Thu, 10 Sep 2020
14:12:52 +1000:

> Hi all,
> 
> On Tue, 8 Sep 2020 13:35:36 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the nand tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > drivers/mtd/nand/raw/gpmi-nand/gpmi-nand.c: In function 'common_nfc_set_geometry':
> > drivers/mtd/nand/raw/gpmi-nand/gpmi-nand.c:513:33: error: 'chip' undeclared (first use in this function)
> >   513 |   nanddev_get_ecc_requirements(&chip->base);
> >       |                                 ^~~~
> > drivers/mtd/nand/raw/gpmi-nand/gpmi-nand.c:513:33: note: each undeclared identifier is reported only once for each function it appears in
> > 
> > Caused by commit
> > 
> >   aa5faaa5f95c ("mtd: rawnand: Use nanddev_get/set_ecc_requirements() when relevant")
> > 
> > I have used the nand tree from next-20200903 for today.  
> 
> I am still getting this failure.
> 

I am very sorry for all these errors, As usual, I pushed this branch to
my 0-day repository last Thursday and got a green light. But it
regularly happens, like this week, that I received an error report
even after that. This time the robot discovered the mistake at the
same time as you...

Anyway, it is now fixed and I pushed a hopefully fine nand/next branch.

As always, thank you very much for your time.
Miquèl